Debian Bug report logs - #512067
debootstrap: sysvinit: init: timeout opening/writing control channel /dev/initctl

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Jelle de Jong <jelledejong@powercraft.nl>

Date: Fri, 16 Jan 2009 21:27:01 UTC

Severity: important

Merged with 509612

Done: Jelle de Jong <jelledejong@powercraft.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Fri, 16 Jan 2009 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
New Bug report received and forwarded. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 21:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap: sysvinit: init: timeout opening/writing control channel /dev/initctl
Date: Fri, 16 Jan 2009 22:24:25 +0100
[Message part 1 (text/plain, inline)]
Package: buildd.emdebian.org
Severity: normal


Reporting an other issue when trying to debootstrap, workaround can be found below.
Please see the attachment for more information.

I: Unpacking the base system...
W: Failure while installing base packages.  This will be re-attempted up to five times.
W: Failure while installing base packages.  This will be re-attempted up to five times.
W: Failure while installing base packages.  This will be re-attempted up to five times.
W: Failure while installing base packages.  This will be re-attempted up to five times.

init: timeout opening/writing control channel /dev/initctl

Workaround:

mount -o bind /dev /mnt/debinst/dev/
chroot /mnt/debinst/
unset LANG
dpkg --configure -a
dpkg-reconfigure sysvinit


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (50, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[initctl.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Fri, 16 Jan 2009 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 22:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 512067@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 512067@bugs.debian.org
Subject: hmm, the workaround did not fully work.
Date: Fri, 16 Jan 2009 23:02:14 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It seems that the workaround i used does not really work, and i am stuck
now. I cant get a successful debootstrap. When i chroot into the
environment i dont get any errors or warining using dpkg .. but when
running the debootstrap command I get the timeout errors and debootstrap
fails, even with the dev system mounted!

So i am stuck until this is fixed...

mount -o bind /dev /mnt/debinst/dev/
chroot /mnt/debinst/
unset LANG
dpkg --configure -a
dpkg-reconfigure sysvinit
dpkg --configure -a
dpkg --configure -a

debootstrap --arch i386 sid /mnt/debinst/ http://buildd.emdebian.org/grip/
....
I: Unpacking the base system...
W: Failure while installing base packages.  This will be re-attempted up
to five times.
W: Failure while installing base packages.  This will be re-attempted up
to five times.
W: Failure while installing base packages.  This will be re-attempted up
to five times.
W: Failure while installing base packages.  This will be re-attempted up
to five times.

Best regards,

Jelle de Jong
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAklxA+QACgkQ1WclBW9j5HnejQP/Xs0UXn7UbnjpOSMvvTTm796Y
VXR8BWz0HXenNfXAp4rK5BOjqQxaOvVf2zTtEFFGKLs9TzhiPWc+qdTcpVsY8Cwy
cXHg69tWUyvYUSjdrgOmpanq6vYMVap3g6kEPzUwEyOmMKiWQyeAB1U2M1sWhL5L
gp5PAZk0s7TVYH2K66Q=
=HY8y
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Fri, 16 Jan 2009 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 22:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 512067@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Jelle de Jong <jelledejong@powercraft.nl>, 512067@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#512067: hmm, the workaround did not fully work.
Date: Fri, 16 Jan 2009 22:19:53 +0000
[Message part 1 (text/plain, inline)]
Package: buildd.emdebian.org
severity 512067 important
merge 512067 509612
thanks

On Fri, 16 Jan 2009 23:02:14 +0100
Jelle de Jong <jelledejong@powercraft.nl> wrote:

> It seems that the workaround i used does not really work, and i am stuck
> now. I cant get a successful debootstrap. When i chroot into the
> environment i dont get any errors or warining using dpkg .. but when
> running the debootstrap command I get the timeout errors and debootstrap
> fails, even with the dev system mounted!
> 
> So i am stuck until this is fixed...
> 
> mount -o bind /dev /mnt/debinst/dev/
> chroot /mnt/debinst/

This is an intermittent bug, some people get it, some don't. I'm one of
the ones that don't.

There must be something in the setup of the box running the debootstrap.

One benefit of using bugs and buildd.emdebian.org is that reportbug
gives me info that isn't normally included in mailing list queries -
that you are using unstable. Can you confirm that this is a full
unstable system and not an unstable chroot on Lenny etc.?

We need to work out what differs between your systems and mine.

I'm running a completely plain Debian unstable install with no
unexpected repositories - just debian and emdebian. I'm running
debootstrap on the normal system, not inside another chroot.

I've got a very plain /etc/fstab with no weird filesystem setups or dev
or udev mount options:

# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        	0       0
/dev/sda1       /               ext3    noatime,errors=remount-ro 	0       1
/dev/sda5       none            swap    sw              	0       0
/dev/hda        /media/cdrom0   udf,iso9660 user,noauto 	0       0
/dev/sdb2	/mnt/emdebian	ext2	user			0	0

My desktop machine is similar.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Severity set to `important' from `normal' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 22:21:04 GMT) Full text and rfc822 format available.

Merged 509612 512067. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 22:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Sat, 17 Jan 2009 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Sat, 17 Jan 2009 15:51:02 GMT) Full text and rfc822 format available.

Message #24 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Jelle de Jong <jelledejong@powercraft.nl>, 512067@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#512067: debootstrap: sysvinit: init: timeout opening/writing control channel /dev/initctl
Date: Sat, 17 Jan 2009 16:49:20 +0100
Hi,

On Fri, Jan 16, 2009 at 10:24:25PM +0100, Jelle de Jong wrote:

> I: Unpacking the base system...
> W: Failure while installing base packages.  This will be re-attempted up to five times.
> W: Failure while installing base packages.  This will be re-attempted up to five times.
> W: Failure while installing base packages.  This will be re-attempted up to five times.
> W: Failure while installing base packages.  This will be re-attempted up to five times.

> init: timeout opening/writing control channel /dev/initctl

That should not be the problem here, as the behaviour is correct. When
installing into the chroot, the currently running init should not be
restarted during configuration of the sysvinit package; the package knows
to ignore this error.

> mount -o bind /dev /mnt/debinst/dev/
> chroot /mnt/debinst/
> unset LANG
> dpkg --configure -a
> dpkg-reconfigure sysvinit

That's not a good idea; there is no guarantee that the outer system's init
is compatible with the chroot's; also, there is no point in restarting the
outer system's init process as it hasn't been changed.

As an optimization, one might think about chroot detection in sysvinit's
postinst so the restart isn't attempted. I'm not convinced this is the
actual reason why configuration fails; rather, I think it might be some
other package that is confused by not having a working /dev (such as a
program in a postinst opening /dev/tty).

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Sat, 17 Jan 2009 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Sat, 17 Jan 2009 15:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Tue, 20 Jan 2009 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Tue, 20 Jan 2009 18:12:02 GMT) Full text and rfc822 format available.

Message #34 received at submit@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: Simon Richter <sjr@debian.org>
Cc: 512067@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#512067: debootstrap: sysvinit: init: timeout opening/writing control channel /dev/initctl
Date: Tue, 20 Jan 2009 19:09:02 +0100
>> I: Unpacking the base system...
>> W: Failure while installing base packages.  This will be re-attempted
up to five times.
>> W: Failure while installing base packages.  This will be re-attempted
up to five times.
>> W: Failure while installing base packages.  This will be re-attempted
up to five times.
>> W: Failure while installing base packages.  This will be re-attempted
up to five times.
>
>> init: timeout opening/writing control channel /dev/initctl
>
> That should not be the problem here, as the behaviour is correct. When
> installing into the chroot, the currently running init should not be
> restarted during configuration of the sysvinit package; the package knows
> to ignore this error.
>
>> mount -o bind /dev /mnt/debinst/dev/
>> chroot /mnt/debinst/
>> unset LANG
>> dpkg --configure -a
>> dpkg-reconfigure sysvinit
>
> That's not a good idea; there is no guarantee that the outer system's init
> is compatible with the chroot's; also, there is no point in restarting the
> outer system's init process as it hasn't been changed.
>
> As an optimization, one might think about chroot detection in sysvinit's
> postinst so the restart isn't attempted. I'm not convinced this is the
> actual reason why configuration fails; rather, I think it might be some
> other package that is confused by not having a working /dev (such as a
> program in a postinst opening /dev/tty).
>
>    Simon

Ok that sounds logical, the binding of the /dev is indeed not a good
idea. I tried it to see if I could get more info on the issue.

I don't know what to do next... Any ideas how to proceed?

Neil tolled me the issue does not come up on his system, so some info
about my test system:

I am using an debian sid updated installation on a usb stick with grub.
I use an eeepc 701 that boots completely from the usb sticks and I try
to debootstrap the installation on the ssd of the eeepc for testing.

Best regards,

Jelle


btw why is submit@bugs.debian.org in the cc field?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Tue, 20 Jan 2009 18:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Tue, 20 Jan 2009 18:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Tue, 20 Jan 2009 19:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Tue, 20 Jan 2009 19:51:18 GMT) Full text and rfc822 format available.

Message #44 received at 512067@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Jelle de Jong <jelledejong@powercraft.nl>, 512067@bugs.debian.org
Cc: Simon Richter <sjr@debian.org>
Subject: Re: Bug#512067: debootstrap: sysvinit: init: timeout opening/writing control channel /dev/initctl
Date: Tue, 20 Jan 2009 19:45:33 +0000
[Message part 1 (text/plain, inline)]
On Tue, 20 Jan 2009 19:09:02 +0100
Jelle de Jong <jelledejong@powercraft.nl> wrote:

> >> I: Unpacking the base system...
> >> W: Failure while installing base packages.  This will be re-attempted
> up to five times.
> >> W: Failure while installing base packages.  This will be re-attempted
> up to five times.
> >> W: Failure while installing base packages.  This will be re-attempted
> up to five times.
> >> W: Failure while installing base packages.  This will be re-attempted
> up to five times.
> >
> >> init: timeout opening/writing control channel /dev/initctl

Jelle - just checking, you're describing a system that, to me, is quite
unusual for debootstrap. Can I just check, does a completely normal
Debian debootstrap work under the same circumstances? If it does, can
you send me / attach details of:
$ sudo chroot /$path/
# dpkg --get-selections
# hostname -f

Thanks.

> I don't know what to do next... Any ideas how to proceed?
> 
> Neil tolled me the issue does not come up on his system, so some info
> about my test system:
> 
> I am using an debian sid updated installation on a usb stick with grub.
> I use an eeepc 701 that boots completely from the usb sticks and I try
> to debootstrap the installation on the ssd of the eeepc for testing.

Do you have a normal Debian desktop that you can test with?
 
> btw why is submit@bugs.debian.org in the cc field?

Simply because someone didn't remove it from the CC: when using
Reply-all. ;-)

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512067; Package buildd.emdebian.org. (Mon, 09 Feb 2009 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Mon, 09 Feb 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 512067@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 512067@bugs.debian.org, 512067-done@bugs.debian.org
Subject: bug has been fixed/resolved
Date: Mon, 09 Feb 2009 19:06:14 +0100
Hello everybody,

With the last changes to emdebian debootstrap system the bug is
resolved. I am closing the bug report.

My latest debootstrap was successful.

Best regards,

Jelle de Jong




Reply sent to Jelle de Jong <jelledejong@powercraft.nl>:
You have taken responsibility. (Mon, 09 Feb 2009 18:09:08 GMT) Full text and rfc822 format available.

Notification sent to Jelle de Jong <jelledejong@powercraft.nl>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 18:09:08 GMT) Full text and rfc822 format available.

Reply sent to Jelle de Jong <jelledejong@powercraft.nl>:
You have taken responsibility. (Mon, 09 Feb 2009 18:09:09 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 18:09:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Mar 2009 07:31:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:45:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.